Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoNodeSensor Class Reference
[Sensor classes]

`#include <Inventor/sensors/SoNodeSensor.h>`

Inheritance diagram for SoNodeSensor:

List of all members.

## Detailed Description

The SoNodeSensor class detects changes to nodes.

Attach a node to a sensor of this type to put it under surveillance, so you can act upon changes to the node.

Any modification to the node's fields will trigger the sensor, as will changes to node's children (if any), including if nodes are added or removed as children below the node in the subgraph.

## Public Member Functions
| SoNodeSensor (void)
| SoNodeSensor (SoSensorCB *func, void *data)
virtual | ~SoNodeSensor (void)
void | attach (SoNode *node)
void | detach (void)
SoNode * | getAttachedNode (void) const

## Constructor & Destructor Documentation

SoNodeSensor::SoNodeSensor | ( | void |  | ) |

| Default constructor.

SoNodeSensor::SoNodeSensor | ( | SoSensorCB * | func,
|  | void * | data
| ) |

| Constructor taking as parameters the sensor callback function and the userdata which will be passed the callback. See also: setFunction(), setData()

SoNodeSensor::~SoNodeSensor | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoNodeSensor::attach | ( | SoNode * | node | ) |

| Attach sensor to a node. Whenever any data in the node (or its children, if it's an SoGroup or SoGroup derived node) changes, the sensor will be triggered and call the callback function. Attaching a node sensor to a node will not increase the node's reference count (and conversely, detach()'ing the node sensor will not decrease the reference count, either). See also: detach()

void SoNodeSensor::detach | ( | void |  | ) |

| Detach sensor from node. As long as an SoNodeSensor is detached, it will never call its callback function. See also: attach()

SoNode * SoNodeSensor::getAttachedNode | ( | void |  | ) | const

| Returns a pointer to the node connected to the sensor. See also: attach(), detach()

The documentation for this class was generated from the following files:

- SoNodeSensor.h
- SoNodeSensor.cpp